import md5 from 'tiny-hashes/md5';
var PLUS_AND_DOT = /\.|\+.*$/g;
/**
 * Normalize email by lowering case and extracting + and . symbols for gmail
 * @param {string} email
 * @return {string} Normalized email. If not valid, returns and empty string
 */

export function normalizeEmail(email) {
  if (typeof email !== 'string') return '';
  email = email.toLowerCase();
  var emailParts = email.split(/@/);
  if (emailParts.length !== 2) return '';
  var username = emailParts[0],
      domain = emailParts[1];
  username = username.replace(PLUS_AND_DOT, '');
  return username + "@" + domain;
}
export function hashEmail(email) {
  var normalizedEmail = normalizeEmail(email);
  return normalizedEmail ? md5(normalizedEmail) : '';
}